# Uses of Interface
org.eclipse.jface.viewers.ILightweightLabelDecorator

Packages that use ILightweightLabelDecorator
Package
Description
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.

## Uses of ILightweightLabelDecorator in org.eclipse.debug.ui

Classes in org.eclipse.debug.ui that implement ILightweightLabelDecorator
Modifier and Type
Class
Description
`class`
`PrototypeDecorator`
Decorator for `ILaunchConfiguration` prototypes.

## Uses of ILightweightLabelDecorator in org.eclipse.ui

Methods in org.eclipse.ui that return ILightweightLabelDecorator
Modifier and Type
Method
Description
`ILightweightLabelDecorator`
IDecoratorManager.`getLightweightLabelDecorator(String decoratorId)`
Deprecated.
use getBaseLabelProvider(String) instead.